org.modeshape.webdav.methods

## Class DoGet

- java.lang.Object
- - org.modeshape.webdav.methods.AbstractMethod
  - - org.modeshape.webdav.methods.DoHead
    - - org.modeshape.webdav.methods.DoGet

- All Implemented Interfaces:
    IMethodExecutor

      public class DoGet
      extends DoHead

- - ### Field Summary

    - ### Fields inherited from class org.modeshape.webdav.methods.DoHead

      `contentLength, dftIndexFile, insteadOf404, mimeTyper, resourceLocks, store`

    - ### Fields inherited from class org.modeshape.webdav.methods.AbstractMethod

      `BUF_SIZE, CREATION_DATE_FORMAT, DEFAULT_TIMEOUT, INFINITY, LAST_MODIFIED_DATE_FORMAT, LOCAL_DATE_FORMAT, logger, MAX_TIMEOUT, TEMP_TIMEOUT, TEMPORARY, URL_ENCODER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DoGet(IWebdavStore store, String dftIndexFile, String insteadOf404, ResourceLocks resourceLocks, IMimeTyper mimeTyper, int contentLengthHeader)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doBody(ITransaction transaction, HttpServletResponse resp, String path)`
    `protected void` | `folderBody(ITransaction transaction, String path, HttpServletResponse resp, HttpServletRequest req)`
    `protected String` | `getCSS()` Return the CSS styles used to display the HTML representation of the webdav content.
    `protected DateFormat` | `getDateTimeFormat(Locale browserLocale)` Return this as the Date/Time format for displaying Creation + Modification dates
    `protected String` | `getFooter(ITransaction transaction, String path, HttpServletResponse resp, HttpServletRequest req)` Return the footer to be displayed after the folder content
    `protected String` | `getHeader(ITransaction transaction, String path, HttpServletResponse resp, HttpServletRequest req)` Return the header to be displayed in front of the folder content

    - ### Methods inherited from class org.modeshape.webdav.methods.DoHead

      `execute`

    - ### Methods inherited from class org.modeshape.webdav.methods.AbstractMethod

      `creationDateFormat, getCleanPath, getDepth, getDocumentBuilder, getETag, getLocalDateFormat, getLockIdFromIfHeader, getLockIdFromLockTokenHeader, getParentPath, getRelativePath, isUnlocked, lastModifiedDateFormat, rewriteUrl, sendReport`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DoGet

          public DoGet(IWebdavStore store,
               String dftIndexFile,
               String insteadOf404,
               ResourceLocks resourceLocks,
               IMimeTyper mimeTyper,
               int contentLengthHeader)

  - ### Method Detail

    - #### doBody

          protected void doBody(ITransaction transaction,
                    HttpServletResponse resp,
                    String path)

      Overrides:
        `doBody` in class `DoHead`

    - #### folderBody

          protected void folderBody(ITransaction transaction,
                        String path,
                        HttpServletResponse resp,
                        HttpServletRequest req)
                             throws IOException

      Overrides:
        `folderBody` in class `DoHead`
      Throws:
        `IOException`

    - #### getCSS

          protected String getCSS()

      Return the CSS styles used to display the HTML representation of the webdav content.
      Returns:
        the HTML body

    - #### getHeader

          protected String getHeader(ITransaction transaction,
                         String path,
                         HttpServletResponse resp,
                         HttpServletRequest req)

      Return the header to be displayed in front of the folder content
      Parameters:
        `transaction` -
        `path` -
        `resp` -
        `req` -
      Returns:
        the header string

    - #### getFooter

          protected String getFooter(ITransaction transaction,
                         String path,
                         HttpServletResponse resp,
                         HttpServletRequest req)

      Return the footer to be displayed after the folder content
      Parameters:
        `transaction` -
        `path` -
        `resp` -
        `req` -
      Returns:
        the footer string

    - #### getDateTimeFormat

          protected DateFormat getDateTimeFormat(Locale browserLocale)

      Return this as the Date/Time format for displaying Creation + Modification dates
      Parameters:
        `browserLocale` -
      Returns:
        DateFormat used to display creation and modification dates

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.